import Component from '../../component.js'

export default class CoUxCarouselItem extends Component {
    constructor(parent) {
      let selector = 'ux-carousel-item';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/ux-carousel-item/ux-carousel-item.component.html?at=support/10.x
    }
    get dataE2E(){
      let path = '//li[@data-e2e = "ux-carousel-item"]';
      return this.currentPath + path;
    }
    async isActive() {
      return await (await $(this.dataE2E)).isExisting();
    }
}


